libzypp: zypp::callback::ReceiveReport< TReport > Struct Template Reference

libzypp 17.38.11

zypp::callback::ReceiveReport< TReport > Struct Template Reference

`#include <zypp/Callback.h>`

Inheritance diagram for zypp::callback::ReceiveReport< TReport >:

## Public Types
typedef TReport | ReportType
typedef ReceiveReport< TReport > | Receiver
typedef DistributeReport< TReport > | Distributor

## Public Member Functions
virtual | ~ReceiveReport ()
ReceiveReport * | whoIsConnected () const
bool | connected () const
void | connect ()
void | disconnect ()
virtual void | reportbegin ()
virtual void | reportend ()

## Detailed Description

template<class TReport>
struct zypp::callback::ReceiveReport< TReport >

Definition at line 168 of file Callback.h.

## Member Typedef Documentation

## ◆ ReportType

template<class TReport>

typedef TReport zypp::callback::ReceiveReport< TReport >::ReportType

Definition at line 170 of file Callback.h.

## ◆ Receiver

template<class TReport>

typedef ReceiveReport<TReport> zypp::callback::ReceiveReport< TReport >::Receiver

Definition at line 171 of file Callback.h.

## ◆ Distributor

template<class TReport>

typedef DistributeReport<TReport> zypp::callback::ReceiveReport< TReport >::Distributor

Definition at line 172 of file Callback.h.

## Constructor & Destructor Documentation

## ◆ ~ReceiveReport()

template<class TReport>

virtual zypp::callback::ReceiveReport< TReport >::~ReceiveReport | ( |  | ) |
| inlinevirtual

Definition at line 174 of file Callback.h.

## Member Function Documentation

## ◆ whoIsConnected()

template<class TReport>

ReceiveReport * zypp::callback::ReceiveReport< TReport >::whoIsConnected | ( |  | ) | const
| inline

Definition at line 177 of file Callback.h.

## ◆ connected()

template<class TReport>

bool zypp::callback::ReceiveReport< TReport >::connected | ( |  | ) | const
| inline

Definition at line 180 of file Callback.h.

## ◆ connect()

template<class TReport>

void zypp::callback::ReceiveReport< TReport >::connect | ( |  | ) |
| inline

Definition at line 183 of file Callback.h.

## ◆ disconnect()

template<class TReport>

void zypp::callback::ReceiveReport< TReport >::disconnect | ( |  | ) |
| inline

Definition at line 186 of file Callback.h.

## ◆ reportbegin()

template<class TReport>

virtual void zypp::callback::ReceiveReport< TReport >::reportbegin | ( |  | ) |
| inlinevirtual

Reimplemented in internal::OptionalDownloadProgressReport, zypp::target::RpmInstallPackageReceiver, and zypp::target::RpmRemovePackageReceiver.

Definition at line 189 of file Callback.h.

## ◆ reportend()

template<class TReport>

virtual void zypp::callback::ReceiveReport< TReport >::reportend | ( |  | ) |
| inlinevirtual

Reimplemented in internal::OptionalDownloadProgressReport, zypp::target::RpmInstallPackageReceiver, and zypp::target::RpmRemovePackageReceiver.

Definition at line 191 of file Callback.h.

The documentation for this struct was generated from the following file:

- zypp/Callback.h